PATCH /groups/{groupId}/apps/{appId}/deploy/config

Modifique la configuración de implementación de una aplicación para personalizar cómo la aplicación implementa los cambios.

Parámetros de path

aplicación/json

Cuerpo

  • ui_drafts_disabled booleano Requerido

    If true, every change made in the Admin UI deploys automatically on save. If false, changes are grouped into a deployment draft that you deploy separately.

  • automatic_deployment Objeto Requerido

    Configuración para métodos de implementación automática

    Hide automatic_deployment attributes Mostrar atributos de implementación automática Objeto
    • habilitado booleano

      If true, the app automatically deploys using the method defined for provider.

    • Proveedor string

      El tipo de implementación automática.

      El valor es github.

    • installation_ids array[string]

      The unique ID values of automatic deployment provider installations. For example, the id value of a GitHub app installation.

  • last_modified Número

    The time this configuration was last modified represented by the number of seconds since the UNIX epoch.

Respuestas

  • 204

    éxito

PARCHE /grupos/{groupId}/aplicaciones/{appId}/implementar/config
curl \
 --request PATCH 'https://services.cloud.mongodb.com/api/admin/v3.0/groups/{groupId}/apps/{appId}/deploy/config' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"ui_drafts_disabled":true,"automatic_deployment":{"enabled":true,"provider":"github","installation_ids":["string"]},"last_modified":42.0}'
Solicitar ejemplos
{
  "ui_drafts_disabled": true,
  "automatic_deployment": {
    "enabled": true,
    "provider": "github",
    "installation_ids": [
      "string"
    ]
  },
  "last_modified": 42.0
}